cURL
curl 'https://api.gumloop.com/api/v1/mcp/servers/gumloop_notion/prompts?team_id=YOUR_TEAM_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
for prompt in client.mcp.list_prompts("gumloop_notion", team_id="YOUR_TEAM_ID").prompts:
print(prompt.name, [a.name for a in prompt.arguments])
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/mcp/servers/{server_id}/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prompts": [
{
"name": "summarize_page",
"description": "<string>",
"arguments": [
{
"name": "<string>",
"description": "<string>",
"required": true
}
],
"server_id": "<string>"
}
],
"server_id": "<string>",
"status": "<string>",
"gumloop_auth_url": "<string>"
}List MCP server prompts
Return the prompt templates an MCP server exposes, fetched live from the server. When the server is not connected, prompts is empty and gumloop_auth_url is returned.
GET
/
mcp
/
servers
/
{server_id}
/
prompts
cURL
curl 'https://api.gumloop.com/api/v1/mcp/servers/gumloop_notion/prompts?team_id=YOUR_TEAM_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
for prompt in client.mcp.list_prompts("gumloop_notion", team_id="YOUR_TEAM_ID").prompts:
print(prompt.name, [a.name for a in prompt.arguments])
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/mcp/servers/{server_id}/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prompts": [
{
"name": "summarize_page",
"description": "<string>",
"arguments": [
{
"name": "<string>",
"description": "<string>",
"required": true
}
],
"server_id": "<string>"
}
],
"server_id": "<string>",
"status": "<string>",
"gumloop_auth_url": "<string>"
}Authorizations
Path Parameters
Query Parameters
Was this page helpful?
